    POSTLOG(1)                                                          POSTLOG(1)

    NAME
           postlog - Postfix-compatible logging utility

    SYNOPSIS
           postlog [-iv] [-c config_dir] [-p priority] [-t tag] [text...]

    DESCRIPTION
           The  postlog(1)  command implements a Postfix-compatible logging inter-
           face for use in, for example, shell scripts.

           By default, postlog(1) logs the text given on the command line  as  one
           record.  If  no text is specified on the command line, postlog(1) reads
           from standard input and logs each input line as one record.

           Logging is sent to syslogd(8) or postlogd(8), and to the standard error
           stream  (with  Postfix  <  3.8, postlog(1) writes to the standard error
           stream only if that stream is connected to a terminal).

           The following options are implemented:

           -c config_dir
                  Read the main.cf  configuration  file  in  the  named  directory
                  instead of the default configuration directory.

           -i (obsolete)
                  Include  the process ID in the logging tag. This flag is ignored
                  as of Postfix 3.4, where the PID is always included.

           -p priority (default: info)
                  Specifies the logging severity: info,  warn,  error,  fatal,  or
                  panic.  With Postfix 3.1 and later, the program will pause for 1
                  second after reporting a fatal or  panic  condition,  just  like
                  other Postfix programs.

           -t tag Specifies  the  logging  tag, that is, the identifying name that
                  appears at the beginning of each logging record. A  default  tag
                  is used when none is specified.

           -v     Enable  verbose  logging  for  debugging  purposes.  Multiple -v
                  options make the software increasingly verbose.

    SECURITY
           The postlog(1) command is designed to run with set-groupid  privileges,
           so  that  it can connect to the postlogd(8) daemon process (Postfix 3.7
           and later; earlier  implementations  of  this  command  must  not  have
           set-groupid or set-userid permissions).

    ENVIRONMENT
           MAIL_CONFIG
                  Directory with the main.cf file.

    CONFIGURATION PARAMETERS
           The  following  main.cf parameters are especially relevant to this pro-
           gram.

           The text below provides only a parameter summary. See  postconf(5)  for
           more details including examples.

           config_directory (see 'postconf -d' output)
                  The  default  location of the Postfix main.cf and master.cf con-
                  figuration files.

           import_environment (see 'postconf -d' output)
                  The list of environment  variables  that  a  privileged  Postfix
                  process  will  import  from  a  non-Postfix  parent  process, or
                  name=value environment overrides.

           syslog_facility (mail)
                  The syslog facility of Postfix logging.

           syslog_name (see 'postconf -d' output)
                  A prefix that  is  prepended  to  the  process  name  in  syslog
                  records, so that, for example, "smtpd" becomes "prefix/smtpd".

           Available in Postfix 3.4 and later:

           maillog_file (empty)
                  The  name  of an optional logfile that is written by the Postfix
                  postlogd(8) service.

           postlog_service_name (postlog)
                  The name of the postlogd(8) service entry in master.cf.

           Available in Postfix 3.9 and later:

           maillog_file_permissions (0600)
                  The file access permissions that  will  be  set  when  the  file
                  $maillog_file is created for the first time, or when the file is
                  created after an existing file is rotated.

    SEE ALSO
           postconf(5), configuration parameters
           postlogd(8), Postfix logging
           syslogd(8), system logging

    LICENSE
           The Secure Mailer license must be distributed with this software.

    HISTORY
           The postlog(1) command was introduced with Postfix version 3.4.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

           Wietse Venema
           Google, Inc.
           111 8th Avenue
           New York, NY 10011, USA

                                                                        POSTLOG(1)